<?php
namespace Webshop\Options;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Webshop\Options
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-options
 */
final class ConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'dependencies' => $this->getDependencies(),
            'orm' => [
                'entity_paths' => [
                    __NAMESPACE__ => __DIR__,
                ],
            ],
        ];
    }

    public function getDependencies(): array
    {
        return [
            'factories' => [
                Service\OptionManagerInterface::class => Service\OptionManagerFactory::class,
            ],
        ];
    }
}