<?php
namespace Webshop\Options;

/**
 * Postavka webshopa.
 *
 * @package Webshop\Options
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-options
 */
interface OptionInterface
{
    /**
     * Vraća ime postavke.
     *
     * @return string
     */
    public function getName(): string;

    /**
     * Vraća vrijednost postavke.
     *
     * @return mixed
     */
    public function getValue();

    /**
     * Postavlja vrijednost postavke.
     *
     * @param $value
     */
    public function setValue($value): void;
}