<?php
namespace Webshop\Options\Service;

use Webshop\Options\OptionInterface;

/**
 * Upravitelj postavkama.
 *
 * @package Webshop\Options\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-options
 */
interface OptionManagerInterface
{
    /**
     * Da li postoji postavka s datim imenom?
     *
     * @param string $name
     * @return bool
     */
    public function hasOption(string $name): bool;

    /**
     * Stvara novu postavku s datim imenom.
     *
     * @param string $name
     * @param bool $isAutoloaded
     * @return OptionInterface
     */
    public function createOption(string $name, bool $isAutoloaded = false): OptionInterface;

    /**
     * Vraća postavku s datim imenom.
     *
     * @param string $name
     * @return OptionInterface
     */
    public function getOption(string $name): OptionInterface;

    /**
     * @param string $name
     */
    public function removeOption(string $name): void;
}