<?php
namespace WebshopTest\Options;

use PHPUnit\Framework\MockObject\MockObject;
use Webshop\Options\OptionsAwareTrait;
use Webshop\Options\Service\OptionManagerInterface;

/**
 * Class OptionsAwareTraitTest
 *
 * @package WebshopTest\Options
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-options
 */
final class OptionsAwareTraitTest extends AbstractTestCase
{
    /**
     * @throws \ReflectionException
     */
    public function testCanReturnDefaultValueIfArray()
    {
        /** @var OptionManagerInterface|MockObject $options */
        $options = $this->createMock(OptionManagerInterface::class);
        $options->method('hasOption')->willReturn(false);

        /** @var OptionsAwareTrait $trait */
        $trait = $this->getMockForTrait(OptionsAwareTrait::class);
        $trait->setOptionManager($options);

        $this->assertEquals([], $trait->getOption('some', []));
    }
}